<? session_start();
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
$enlace = cargar_conexion();
$accion = $_REQUEST["accion"];
$cedula = $_REQUEST["cedula"];
$fdesde = $_REQUEST["fdesde"];
$periodo = $_REQUEST["periodo"];
$supervisorAprobador = $_REQUEST["supervisor_Aprobador"];
$fechahoy = date('Y-m-d');
$aprobacionVacacion = $_REQUEST["aprobacionVacacion"];
$rechazoVacacion =  $_REQUEST["rechazoVacacion"];
$usuario = $_SESSION['usuario_validar'];
$rol_usuario= $_SESSION['rol'];
$position_number = $_SESSION['position_number'];
$ident = $_REQUEST["number"];

?>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<?
    function email($plantilla, $datos){

		require 'hcm_files/PHPMailer/src/Exception.php';
		require 'hcm_files/PHPMailer/src/PHPMailer.php';
		require 'hcm_files/PHPMailer/src/SMTP.php';
		
		$tipoSolicitud = $datos['tipo_solicitud'] =='PARCIAL' ? 'RETIRO PARCIAL' : $datos['tipo_solicitud'];
		switch ($plantilla) {
			case 'RECHAZO':
				$asunto = 'Solicitud de '.$tipoSolicitud.' de Fondo de Ahorros '.$datos['nombres'].", ".$datos['apellidos'];
				$mensaje = "Sr(a). ".$datos['nombres'].", ".$datos['apellidos']."
				Mediante el presente le notificamos que su solicitud de ".$tipoSolicitud." del Fondo de Ahorros ha sido RECHAZADA.";
				$mensajeHTML = "<div>
				<div style='padding-left: 60px;'>
				<div>
				<div><strong>Sr(a). ".$datos['nombres'].", ".$datos['apellidos']."</strong></div>
				<div>&nbsp;</div>
				<div>Mediante el presente le notificamos que su solicitud de ".$tipoSolicitud." del Fondo de Ahorros ha sido RECHAZADA.</div>
				</div>
				</div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px; text-align: right;'><strong><img src='https://admin.catalogodesoftware.com/UserFiles/gen_files/multimedia/imagenes/empresa/logo_saireh1.png' alt='N&oacute;mina en la Nube | N&oacute;mina SaaS | N&oacute;mina en Renta | Saireh |' width='159' height='76' /></strong></div>
				</div>";
				$email = $datos['email'];
				break;
				
			case 'APROBADO':
				$asunto = 'Solicitud de '.$tipoSolicitud.' de Fondo de Ahorros '.$datos['nombres'].", ".$datos['apellidos'];
				$mensaje = "Sr(a). ".$datos['nombres'].", ".$datos['apellidos']."
				Mediante el presente le notificamos que su solicitud de ".$tipoSolicitud." del Fondo de Ahorros ha sido APROBADA.";
				$mensajeHTML = "<div>
				<div style='padding-left: 60px;'>
				<div>
				<div><strong>Sr(a). ".$datos['nombres'].", ".$datos['apellidos']."</strong></div>
				<div>&nbsp;</div>
				<div>Mediante el presente le notificamos que su solicitud de ".$tipoSolicitud." del Fondo de Ahorros ha sido <strong>APROBADA.</strong></div>
				</div>
				</div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px; text-align: right;'><strong><img src='https://admin.catalogodesoftware.com/UserFiles/gen_files/multimedia/imagenes/empresa/logo_saireh1.png' alt='N&oacute;mina en la Nube | N&oacute;mina SaaS | N&oacute;mina en Renta | Saireh |' width='159' height='76' /></strong></div>
				</div>";
				//$email = "GSAYAGO1@FORD.COM, GCURBELO@ford.com, BSALAZA3@ford.com, MCALLES1@ford.com, NOMINA.FORD@saireh.com";
				break;

		}
		try {
			$mail = new PHPMailer(true);
			
			
			 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Ford');
			  
			 if ($plantilla=='APROBADO'){

				//$mail->addAddress('GSAYAGO1@FORD.COM');
				//$mail->addAddress('GCURBELO@ford.com'); 
				//$mail->addAddress('BSALAZA3@ford.com');
				//$mail->addAddress('MCALLES1@ford.com'); 
			 }

			 $mail->addAddress($datos['email']); 
			 //$mail->addAddress('GSAYAGO1@FORD.COM'); /// YA NO ESTÁ EN L ACOMPAÑIA
			 $mail->addAddress('JSANCH32@FORD.COM');
			 $mail->addAddress('GCURBELO@ford.com');
			 $mail->addAddress('BSALAZA3@ford.com');
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensajeHTML;
			 $mail->AltBody = $mensaje;
			
			$mail->send();
			
			
		} catch (Exception $e) {
			  return 1;
		}
		return 0;
  
    }
$resultado_aprobacion = '';

//calculo de vacaciones SAIREH Vzla.

$consulta = mysqli_query($enlace,"select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $per = '';
menu();
$datosSolicitud = [];
set_time_limit(3000);
if(is_numeric($ident)){
	$insertSolicitud = "SELECT * from buzon_fondo_ahorro where identificador='".$ident."';";
	$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
	$datosSolicitud = mysqli_fetch_array($resultado);
}

///////////////////////////////////////////////// grabar fondo ahorros ////////////////////////////////////////////////////////////////
if ($accion == 1) {
    // echo " Aprobado";
	// $printr = print_r($datosSolicitud);
	// echo $printr;


	
	if ($datosSolicitud['tipo_solicitud']=='PRESTAMO'){

		$insertSolicitud="SELECT * FROM  prestamo WHERE cedula=".$datosSolicitud['cedula']." AND fondo_ahorro='SI' AND saldo > '0' ";
		$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		if (mysqli_num_rows($resultado)){
			$prestamo=mysqli_fetch_array($resultado);
			if ( $prestamo['saldo'] != $datosSolicitud['deuda_prestamo']){

				print '<script language="JavaScript">';
				print 'alert("Error: el trabajador posee un prÃ©stamo con Saldo diferente'.$prestamo['saldo'].' != ' .$datosSolicitud['deuda_prestamo'].' '.$prestamo['numero'].'");';
				print 'window.history.go(-1);';
				print '</script>';
				exit();

			}
			/*** UPDATE PRESTAMO VIGENTE */
			$insertSolicitud="UPDATE prestamo SET saldo = 0 where numero =".$prestamo['numero'].";";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));

			//*** INSERT CONSTANTE_INDIVIDUAL SALDO PRESTAMO*/
			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3804','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$prestamo['saldo'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
			
		}
		//*** INSERT PRESTAMO */
		$insertSolicitud = "INSERT INTO prestamo
		(id,tipo,cedula,detalle,fecha,monto,cuota, saldo, total, interes,fondo_ahorro)
		VALUES ('".$datosSolicitud['id']."','D','".$datosSolicitud['cedula']."','PRESTAMOS A FONDO AHORROS','".date('Y-m-d')."',".$datosSolicitud['monto'].",".($datosSolicitud['monto']/$datosSolicitud['cuotas']).",".$datosSolicitud['monto'].",".$datosSolicitud['monto'].",1,'SI')";
		$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		
		//*** INSERT CONSTANTE_INDIVIDUAL */
		$insertSolicitud="INSERT INTO constante_individual
		VALUES (".$datosSolicitud['id'].",'3805','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['monto'].");";
		$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));

	
	}

	if ($datosSolicitud['tipo_solicitud']=='PARCIAL'){

		$ordinario = $datosSolicitud['ordinario'] * 0.8;
		if ($datosSolicitud['monto'] > $ordinario){
				$insertSolicitud="INSERT INTO constante_individual
				VALUES (".$datosSolicitud['id'].",'3800','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$ordinario.");";
				$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
				$datosSolicitud['monto'] -=  $ordinario;
				$empresa = $datosSolicitud['empresa'] * 0.8;
				if ($datosSolicitud['monto'] >  $empresa){
					$insertSolicitud="INSERT INTO constante_individual
					VALUES (".$datosSolicitud['id'].",'3801','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$empresa.");";
					$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
					$datosSolicitud['monto'] -=  $empresa;
					$voluntario = $datosSolicitud['voluntario'] * 0.8;
					if($datosSolicitud['monto'] >  $voluntario){
						$insertSolicitud="INSERT INTO constante_individual
						VALUES (".$datosSolicitud['id'].",'3802','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$voluntario.");";
						$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
						$datosSolicitud['monto'] -=  $voluntario;
						$insertSolicitud="INSERT INTO constante_individual
						VALUES (".$datosSolicitud['id'].",'3803','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['monto'].");";
						$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
					}
					else{
						$insertSolicitud="INSERT INTO constante_individual
						VALUES (".$datosSolicitud['id'].",'3802','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['monto'].");";
						$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
					}

				}
				else {
					$insertSolicitud="INSERT INTO constante_individual
					VALUES (".$datosSolicitud['id'].",'3801','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['monto'].");";
					$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));

				}
		}
		else
			{
			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3800','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['monto'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));		
		}

	}

	if ($datosSolicitud['tipo_solicitud']=='RENUNCIA'){
		if ($datosSolicitud['ordinario'] > 0){

			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3800','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['ordinario'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		}
		if ($datosSolicitud['empresa'] > 0){

			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3801','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['empresa'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		}
		if ($datosSolicitud['voluntario'] > 0){

			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3802','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['voluntario'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		}
		if ($datosSolicitud['dividendos'] > 0){

			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3803','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['dividendos'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		}	
		if ($datosSolicitud['deuda_prestamo'] > 0){

			$insertSolicitud="INSERT INTO constante_individual
			VALUES (".$datosSolicitud['id'].",'3804','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['deuda_prestamo'].");";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));

			$insertSolicitud="SELECT * FROM  prestamo WHERE cedula=".$datosSolicitud['cedula']." AND fondo_ahorro='SI' AND saldo > '0' ";
			$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
			if (mysqli_num_rows($resultado)){
				$prestamo=mysqli_fetch_array($resultado);
				$insertSolicitud="UPDATE prestamo SET saldo = 0 where numero =".$prestamo['numero'].";";
				$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
				}	
		}
		$eliminoAportesFa="DELETE FROM constante_individual where cedula='".$datosSolicitud['cedula']."' AND codigo IN('2021','2023');";
		$resultado = mysqli_query($enlace,($eliminoAportesFa)) or die ("No se pudo realizar la consulta: ".$eliminoAportesFa.'='.mysqli_error($enlace));

	}
		if ($datosSolicitud['tipo_solicitud']=='AFILIACION'){
		
		//*** INSERT CONSTANTE_INDIVIDUAL *////
		$insertSolicitud="INSERT INTO constante_individual
		VALUES (".$datosSolicitud['id'].",'2021','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['ordinario'].");";
		$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		
		
		if ($datosSolicitud['voluntario'] > 0){
		$insertSolicitud="INSERT INTO constante_individual
		VALUES (".$datosSolicitud['id'].",'2023','".$datosSolicitud['cedula']."','".$datosSolicitud['nomina']."',".$datosSolicitud['voluntario'].");";
		$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
		}
	
	}
	
	
	
	
	$insertSolicitud = "UPDATE buzon_fondo_ahorro SET ESTADO = 'APROBADA' WHERE identificador='".$ident."';";
	$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
	email('APROBADO',$datosSolicitud);
	print '<script language="JavaScript">';
	print 'alert("Procesado '. $datosSolicitud['email'].' ");';
	print 'window.history.go(-1);';
	print '</script>';
	exit();

	
}
///////////////////////////////////////////////// eliminar vacaciones ////////////////////////////////////////////////////////////////
if ($accion == 2 && is_numeric($ident)) {
	
	
	$insertSolicitud = "UPDATE buzon_fondo_ahorro SET ESTADO = 'RECHAZADA' WHERE identificador='".$ident."';";
	$resultado = mysqli_query($enlace,$insertSolicitud) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
	$resp = email('RECHAZO',$datosSolicitud);
	print '<script language="JavaScript">';
	 print 'alert("Registro actualizado '. $resp.' ");';
	print 'window.history.go(-1);';
	print '</script>';
	exit();
	
	

}

/////////////////////////////////////////////////MOSTRAR SOLICITUD DE CEDULA ////////////////////////////////////////////////////////////////
if ((!$_POST || $_POST['busca'] == 1) && ($accion != 5) && ($accion != 2) && ($_POST['grabar'] != 1)) {
	echo "<tr>";
	echo "<center><b>Acciones:</b> &nbsp;&nbsp;<img border = 1 src='img2/aprobacion.png' alt='Aprobar'>&nbsp;Aprobar Solicitud";
	echo "&nbsp;&nbsp;<img border = 0 src='img2/borrar.png' alt='Rechazar'>&nbsp;Rechazar Solicitud</a>";
	echo "</tr>";
	echo "<hr><h2><center>SOLICITUD DE PRESTAMOS FONDO DE AHORROS</center></h2>";

	echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='600' align='center'>";
	echo "<tr>";
	echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
	echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td align=right> Ordenado por:</td>";
	echo "<td colspan = 5>";
	echo "	<input type = 'radio' name = 'orden' value = 'ced' >Cédula  ";
	echo "	<input type = 'radio' name = 'orden' value = 'nom'>Nombre   ";
	echo "	<input type = 'radio' name = 'orden' value = 'ape'>Apellido ";
	// echo "	<input type = 'radio' name = 'orden' value = 'fechai'>Fecha Ingreso ";
    echo "	<input type = 'radio' name = 'orden' value = 'creado' checked>Fecha Solicitud";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>";

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (cedula like '%" . $_POST['cedula'] . "%' or nombres like '%" . $_POST['cedula'] . "%' or apellidos like '%" . $_POST['cedula'] . "%') ";
	}
	if ($_POST['orden'] == "fechai") $query2 = " order by ingreso";
	else if ($_POST['orden'] == "nom") $query2 = " order by nombres";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else if ($_POST['orden'] == "ced") $query2 = " order by cedula";
    else if ($_POST['orden'] == "ced") $query2 = " order by creado";
	else $query2 = " order by creado";

	//$consulta = "select * from personal, vacacion where personal.id='" . $_SESSION['id_validar'] . "' and personal.status<>'I' AND personal.codigo=vacacion.cedula AND	vacacion.estatus_vac='procesado'  AND	vacacion.aprobacion_contabilidad!='Aprobado' " . $query1 . $query2;
    $consulta = "SELECT * from buzon_fondo_ahorro where id='" . $_SESSION['id_validar'] . "' and estado='PENDIENTE' " . $query1 . $query2 ;
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align=center>";
		echo "<tr bgcolor='#43bced' height='35'>";
		//echo "<th><font color='white'> Foto </font></th>";
		echo "<th><font color='white'> C&eacute;dula </font></th>";
		echo "<th><font color='white'> Nombres </font></th>";
		echo "<th><font color='white'> Apellidos </font></th>";
		echo "<th><font color='white'> Nómina </font></th>";
		echo "<th align=center><font color='white'> Fecha Ingreso </font></th>";
		echo "<th><font color='white'> Tipo de Solicitud </font></th>";
		echo "<th><font color='white'> Monto </font></th>";
		echo "<th><font color='white'> Fecha Solicitud </font></th>";
		echo "<th colspan = 4 ><font color='white'> Acción </font></th>";
		for ($cont = 0; $cont < $num_rows; $cont++) {
			$row = mysqli_fetch_array($resultado);
			$cedula = $row['cedula'];
			$supervisorAprobador = $row['supervisor'] ;
			$tipoSolicitud = $row['tipo_solicitud'] =='PARCIAL' ? 'RETIRO PARCIAL' : $row['tipo_solicitud'];
			
			if (
					(
					($rol_usuario == 'supervisor' || $rol_usuario == 'gerente')
				 	&& $position_number == $supervisorAprobador
					)
					 	|| $usuario == 'GCURBELO' 
						|| $usuario == 'BSALAZA3' 
						|| $usuario == 'YSIRA' 
						|| $usuario == 'MCALLES1' 
						|| $usuario == 'JSANCH32' 
						|| $usuario == 'GPROCOPI' 
						|| $usuario == 'MASTER' 
						|| $usuario == 'SAIREH'
				){
			if ($color) {
				$tcolor = "#dfdfd0";
				if (file_exists('fotos/' . $cedula . '.jpg')) $imagen = 'fotos/' . $cedula . '.jpg';
				else $imagen = 'img2/nohay2.jpg';
			} else {
				$tcolor = "white";
				if (file_exists('fotos/' . $cedula . '.jpg')) $imagen = 'fotos/' . $cedula . '.jpg';
				else $imagen = 'img2/nohay.jpg';
			}
			echo '<tr bgcolor=' . $tcolor . ' >';
			//echo "<td align =center><img src='" . $imagen . "' height='64' width='64'></td>";
			echo "<td width='100'>" . $row['cedula'] . "</td>";
			echo "<td width='240'>" . trim($row['nombres']) . " " . $row['nombres1'] . "</td>";
			echo "<td width='240'>" . trim($row['apellidos']) . " " . $row['apellidos1'] . "</td>";
			echo "<td width='30' align=center>" . $row['nomina'] . "</td>";
			echo "<td width='120' align='center'>" .  mostrar_fecha($row['ingreso']) .  "</td>";
			echo "<td width='120' align=center>" . $tipoSolicitud . "</td>";

			echo "<td width='120' align=right>" . $row['monto'] . "</td>";
			
			echo "<td width='120' align=center>" . mostrar_fecha($row['creado']) . "</td>";
            echo "<td width='30' align='center'><a href='" . $_SERVER['PHP_SELF'] . "?accion=1&number=" . $row['identificador']."'><img  border = 0  src='img2/aprobacion.png' alt='Procesar Solicitud' ></a></td>";
            echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='" . $_SERVER['PHP_SELF'] . "?accion=2&number=" . $row['identificador']. "'><img  border = 0  src='img2/borrar.png'alt='eliminar éste registro' ></a></td>";

			//echo "<td width='30' align='center'><a href='" . $_SERVER['PHP_SELF'] . "?accion=5&cedula=" . $cedula . "&supervisor_Aprobador=" . $supervisorAprobador . "'><img border = 0 src='img2/deduccion.png' alt='Seleccionar éste registro'></a></td>";

			echo '</tr>';
			$color = !$color;
		}
		}
		echo '</table>';
	} else echo "<hr>";
	mysqli_free_result($resultado);
}

echo "<br><br><br><br></body>";
?>


<style>
	.boton {
		/* width: 100%; */
		color: #FFFFFF;
		/* font-size: 0.8725em; */
		padding: 7px;
		margin-bottom: 5px;
		margin-top: 6px;
		outline: none;
		/* margin: 5px 0; */
		font-family: 'Open Sans', sans-serif;
		font-size: 16px;
		font-weight: bold;
		text-transform: uppercase;
		background: #36C1E2;
		border: 0px solid #DFDFDF;
	}

	.label_status_aprobar {
		background-color: #36C1E2 !important;
		color: #fff;
		display: inline;
		padding: .2em .6em .3em;
		font-size: 90%;
		font-weight: 700;
		line-height: 1;
		text-align: center;
		white-space: nowrap;
		vertical-align: baseline;
	}
	
	.label_status_rechazar {
		background-color: red !important;
		color: #fff;
		display: inline;
		padding: .2em .6em .3em;
		font-size: 90%;
		font-weight: 700;
		line-height: 1;
		text-align: center;
		white-space: nowrap;
		vertical-align: baseline;
	}

	#response_sucess {
		background: #7dbe2c;
		padding: 10px;
		width: auto;
		color: #fff;
		text-align: left;
		line-height: 25px;
	}
</style>

<script>
	setTimeout(function() {
		$('#response_sucess').fadeOut('slow');
	}, 1000);
</script>

<?
echo "</html>";
mysqli_close($enlace);
?>
